Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(18)

Issue 2830703003: [views-mus] Support custom cursors. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
6 months ago by Elliot Glaysher
Modified:
5 months, 4 weeks ago
Reviewers:
Tom Sepez, sadrul, sky
CC:
chromium-reviews, rjkroege, mlamouri+watch-content_chromium.org, sadrul, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, tfarina, jam, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, darin-cc_chromium.org, dcheng, kalyank, darin (slow to review)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[views-mus] Support custom cursors. This changes the mus interface to pass a CursorData instead of a CursorType. The previous patch had mus clients create CursorDatas on ozone platforms, and this patch passes CursorDatas across the mojo pipe and passes it to the native ozone platform on the window server. BUG=705037 Review-Url: https://codereview.chromium.org/2830703003 Cr-Commit-Position: refs/heads/master@{#467832} Committed: https://chromium.googlesource.com/chromium/src/+/a3cfe1428faf4f5bd556e5d9aa4924a7d0fb02f4

Patch Set 1 #

Patch Set 2 : Try to fix normal linux compile. #

Patch Set 3 : another attempt at getting desktop linux to compile. #

Patch Set 4 : Fix the other side of the ifdef #

Patch Set 5 : The SkBitmaps can be null. #

Patch Set 6 : Merge with ui::CursorType patch. #

Patch Set 7 : fix compile on non-ozone #

Patch Set 8 : Remove old cast #

Patch Set 9 : Fix chromeos #

Patch Set 10 : Patch cleanup. #

Patch Set 11 : cursor_id -> cursor_type #

Patch Set 12 : rebase to tot #

Total comments: 13

Patch Set 13 : sky comments #

Total comments: 3

Patch Set 14 : rebase to tot #

Patch Set 15 : Add default move ctor and assignment to CursorData. #

Patch Set 16 : fix cast_shell_linux #

Unified diffs Side-by-side diffs Delta from patch set Stats (+410 lines, -312 lines) Patch
M ash/mus/move_event_handler.cc View 1 2 3 4 5 3 chunks +13 lines, -11 lines 0 comments Download
M content/renderer/mus/renderer_window_tree_client.h View 1 chunk +1 line, -2 lines 0 comments Download
M content/renderer/mus/renderer_window_tree_client.cc View 1 chunk +2 lines, -3 lines 0 comments Download
M mash/simple_wm/move_event_handler.cc View 1 2 3 4 5 6 7 8 2 chunks +13 lines, -12 lines 0 comments Download
M services/ui/public/interfaces/cursor/cursor.mojom View 1 2 3 4 5 2 chunks +2 lines, -2 lines 0 comments Download
M services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc View 1 2 3 4 5 1 chunk +17 lines, -0 lines 0 comments Download
M services/ui/public/interfaces/window_manager.mojom View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M services/ui/public/interfaces/window_tree.mojom View 2 chunks +4 lines, -6 lines 0 comments Download
M services/ui/ws/cursor_unittest.cc View 1 2 3 4 5 6 7 8 9 3 chunks +44 lines, -36 lines 0 comments Download
M services/ui/ws/display.h View 2 chunks +2 lines, -2 lines 0 comments Download
M services/ui/ws/display.cc View 1 2 3 4 5 2 chunks +6 lines, -5 lines 0 comments Download
M services/ui/ws/drag_controller.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +5 lines, -5 lines 0 comments Download
M services/ui/ws/drag_controller.cc View 1 2 3 4 5 4 chunks +7 lines, -5 lines 0 comments Download
M services/ui/ws/drag_controller_unittest.cc View 1 2 3 4 5 6 7 8 9 10 11 12 11 chunks +16 lines, -15 lines 0 comments Download
M services/ui/ws/event_dispatcher.h View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/event_dispatcher.cc View 1 2 3 4 5 2 chunks +4 lines, -3 lines 0 comments Download
M services/ui/ws/platform_display.h View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/platform_display_default.h View 1 chunk +1 line, -1 line 0 comments Download
M services/ui/ws/platform_display_default.cc View 1 2 3 4 5 6 7 8 9 2 chunks +33 lines, -11 lines 0 comments Download
M services/ui/ws/server_window.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +6 lines, -8 lines 0 comments Download
M services/ui/ws/server_window.cc View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +11 lines, -10 lines 0 comments Download
M services/ui/ws/server_window_observer.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +5 lines, -4 lines 0 comments Download
M services/ui/ws/test_change_tracker.h View 1 2 3 4 5 2 chunks +2 lines, -3 lines 0 comments Download
M services/ui/ws/test_change_tracker.cc View 1 2 3 4 5 4 chunks +7 lines, -7 lines 0 comments Download
M services/ui/ws/test_utils.h View 1 2 3 4 5 6 chunks +10 lines, -8 lines 0 comments Download
M services/ui/ws/test_utils.cc View 1 2 3 4 5 7 chunks +9 lines, -10 lines 0 comments Download
M services/ui/ws/window_manager_state.cc View 1 2 3 4 5 1 chunk +2 lines, -3 lines 0 comments Download
M services/ui/ws/window_manager_state_unittest.cc View 1 2 3 4 5 3 chunks +6 lines, -3 lines 0 comments Download
M services/ui/ws/window_server.h View 2 chunks +5 lines, -5 lines 0 comments Download
M services/ui/ws/window_server.cc View 2 chunks +9 lines, -10 lines 0 comments Download
M services/ui/ws/window_tree.h View 1 2 3 4 5 3 chunks +5 lines, -6 lines 0 comments Download
M services/ui/ws/window_tree.cc View 1 2 3 4 5 6 7 8 9 10 11 12 5 chunks +39 lines, -12 lines 0 comments Download
M services/ui/ws/window_tree_client_unittest.cc View 1 2 3 4 5 6 7 8 9 10 4 chunks +9 lines, -8 lines 0 comments Download
M services/ui/ws/window_tree_unittest.cc View 1 2 3 4 5 10 chunks +31 lines, -30 lines 0 comments Download
M ui/aura/mus/in_flight_change.h View 3 chunks +7 lines, -7 lines 0 comments Download
M ui/aura/mus/in_flight_change.cc View 1 chunk +9 lines, -11 lines 0 comments Download
M ui/aura/mus/window_manager_delegate.h View 1 2 3 4 5 1 chunk +1 line, -1 line 0 comments Download
M ui/aura/mus/window_mus.h View 1 chunk +1 line, -1 line 0 comments Download
M ui/aura/mus/window_port_mus.h View 1 2 3 4 5 3 chunks +4 lines, -4 lines 0 comments Download
M ui/aura/mus/window_port_mus.cc View 1 2 3 4 2 chunks +6 lines, -7 lines 0 comments Download
M ui/aura/mus/window_tree_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +5 lines, -6 lines 0 comments Download
M ui/aura/mus/window_tree_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +11 lines, -12 lines 0 comments Download
M ui/aura/test/mus/test_window_manager_client.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +1 line, -1 line 0 comments Download
M ui/aura/test/mus/test_window_manager_client.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 1 chunk +3 lines, -3 lines 0 comments Download
M ui/aura/test/mus/test_window_tree.h View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -3 lines 0 comments Download
M ui/aura/test/mus/test_window_tree.cc View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -3 lines 0 comments Download
M ui/base/cursor/cursor_data.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +2 lines, -0 lines 0 comments Download
M ui/base/cursor/cursor_data.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +4 lines, -0 lines 0 comments Download
M ui/views/mus/desktop_window_tree_host_mus.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 3 chunks +21 lines, -4 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 73 (57 generated)
Elliot Glaysher
tsepez: mojom changes to services/ui/public/interfaces/ sadrul: content/ sky: the rest
5 months, 4 weeks ago (2017-04-26 21:51:51 UTC) #44
sky
https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc File services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc (right): https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc#newcode113 services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc:113: ASSERT_TRUE(EchoCursorData(input, &output)); optional: you don't need to route through ...
5 months, 4 weeks ago (2017-04-26 22:16:16 UTC) #45
Elliot Glaysher
https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc File services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc (right): https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc#newcode113 services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc:113: ASSERT_TRUE(EchoCursorData(input, &output)); On 2017/04/26 22:16:15, sky wrote: > optional: ...
5 months, 4 weeks ago (2017-04-26 23:09:05 UTC) #48
sky
LGTM https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc File services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc (right): https://codereview.chromium.org/2830703003/diff/220001/services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc#newcode113 services/ui/public/interfaces/cursor/cursor_struct_traits_unittest.cc:113: ASSERT_TRUE(EchoCursorData(input, &output)); On 2017/04/26 23:09:04, Elliot Glaysher wrote: ...
5 months, 4 weeks ago (2017-04-26 23:35:01 UTC) #49
Elliot Glaysher
ping tsepez and sadrul
5 months, 4 weeks ago (2017-04-27 18:19:39 UTC) #52
Tom Sepez
lgtm
5 months, 4 weeks ago (2017-04-27 19:52:47 UTC) #53
sadrul
lgtm (there's a nit) https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h File content/renderer/mus/renderer_window_tree_client.h (right): https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h#newcode137 content/renderer/mus/renderer_window_tree_client.h:137: void OnWindowCursorChanged(ui::Id window_id, ui::CursorData cursor) ...
5 months, 4 weeks ago (2017-04-27 20:25:28 UTC) #54
Elliot Glaysher
https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h File content/renderer/mus/renderer_window_tree_client.h (right): https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h#newcode137 content/renderer/mus/renderer_window_tree_client.h:137: void OnWindowCursorChanged(ui::Id window_id, ui::CursorData cursor) override; On 2017/04/27 20:25:28, ...
5 months, 4 weeks ago (2017-04-27 20:42:12 UTC) #55
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830703003/260001
5 months, 4 weeks ago (2017-04-27 20:42:47 UTC) #58
sadrul
https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h File content/renderer/mus/renderer_window_tree_client.h (right): https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h#newcode137 content/renderer/mus/renderer_window_tree_client.h:137: void OnWindowCursorChanged(ui::Id window_id, ui::CursorData cursor) override; On 2017/04/27 20:42:12, ...
5 months, 4 weeks ago (2017-04-27 20:43:06 UTC) #59
Elliot Glaysher
On 2017/04/27 20:43:06, sadrul wrote: > https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h > File content/renderer/mus/renderer_window_tree_client.h (right): > > https://codereview.chromium.org/2830703003/diff/240001/content/renderer/mus/renderer_window_tree_client.h#newcode137 > ...
5 months, 4 weeks ago (2017-04-27 20:49:48 UTC) #60
Elliot Glaysher
On 2017/04/27 20:49:48, Elliot Glaysher wrote: > On 2017/04/27 20:43:06, sadrul wrote: > > > ...
5 months, 4 weeks ago (2017-04-27 20:53:04 UTC) #62
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830703003/280001
5 months, 4 weeks ago (2017-04-27 20:58:48 UTC) #65
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_tsan_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_tsan_rel_ng/builds/62891)
5 months, 4 weeks ago (2017-04-27 21:19:14 UTC) #67
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2830703003/300001
5 months, 4 weeks ago (2017-04-27 21:46:56 UTC) #70
commit-bot: I haz the power
5 months, 4 weeks ago (2017-04-28 02:06:51 UTC) #73
Message was sent while issue was closed.
Committed patchset #16 (id:300001) as
https://chromium.googlesource.com/chromium/src/+/a3cfe1428faf4f5bd556e5d9aa49...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa